Skip to content
Back to top
View this page

# Session

## Description

Shared session interface

The Session interface is shared by all portal interfaces that involve long lived sessions. When a method that creates a session is called, the reply will include a session handle (i.e. object path) for a Session object, which will stay alive for the duration of the session.

The portal can abort the interaction by calling org.freedesktop.impl.portal.Session.Close on the Session object.

## Properties

### org.freedesktop.impl.portal.Session:version

    version readable u

## Methods

### org.freedesktop.impl.portal.Session.Close

    Close ()

Close the session.

## Signals

### org.freedesktop.impl.portal.Session::Closed

    Closed ()

The session was closed by the portal implementation.